.btn {
	padding: size-rel(6px) size-rel(24px);
}


.btn-sm {
	padding-left: size-rel(10px);
	padding-right: size-rel(10px);
	font-size: size-rel(12px);
	line-height: size-rel(18px);

	.bx {
		font-size: size-rel(14px);
	}

	span {
		display: inline-block;
	}
}

.btn-icon {
	margin: 0;
	padding: 0;
	width: 24px;
	height: 24px;
	display: flex;
	flex-shrink: 0;
	align-items: center;
	justify-content: center;
	border: none;
	outline: none;
	color: #C7CFD6;
	cursor: pointer;
	text-decoration: none;
	font-size: size-rel(20px);
	line-height: size-rel(20px);
	background: transparent;

	&:hover {
		color: #C7CFD6;
	}

	&--red {
		color: $red;

		&:hover {
			color: $red;
		}
	}

	&--blue {
		color: #5A8DEE;

		&:hover {
			color: #5A8DEE;
		}
	}

	&--purple {
		color: $purple !important;

		&:hover {
			color: $purple !important;
		}
	}

	&--del {

		&:hover {

		}
	}

	&--hide {
		opacity: 0;
		visibility: hidden;
	}

	&--event {

		&:hover {
			color: #A70082;
		}

		&.checked {
			color: #A70082;
		}
	}

	&--gray {
		color: #000;
		background-color: rgba(71, 95, 123, 0.12);

		&:hover,
		&.active {
			color: $white;
			background-color: #5A8DEE !important;
		}

		&:disabled,
		&.disabled {
			color: #000 !important;
			background-color: rgba(71, 95, 123, 0.12) !important;

			&.active {
				color: #fff !important;
				background: #585858 !important;
			}
		}
	}

	&--md {
		border-radius: 3px;
		width: size-rel(36px);
		height: size-rel(36px);
	}

	.bx {
		font-size: size-rel(20px)
	}
}

span.btn-icon {
	cursor: default !important;
}

.btn-text {
	color: $primary;
	font-weight: 500;
	display: inline-block;
	text-decoration: none;
	fill: $primary;


	&:hover {
		color: $accent;
		text-decoration: none;
		fill: $accent;
	}
}

.btn-xl {
	padding: size-rel(20px) size-rel(24px);
}

.btn-long {
	width: 100%;
	display: block;
}

.btn-favorite {
	margin: 0;
	padding: 0;
	display: flex;
	width: size-rel(24px);
	height: size-rel(24px);
	align-items: center;
	justify-content: center;
	border: none;
	outline: none;
	color: #C7CFD6;
	cursor: pointer;
	text-decoration: none;
	font-size: size-rel(20px);
	line-height: size-rel(20px);
	background: transparent;

	.bx {
		font-size: size-rel(20px)
	}

	&:hover {
		color: $red;
	}

	&--checked {
		color: $red;

		i {

			&:before {
				content: "\ee0a";
			}
		}
	}
}

.btn-square {
	width: 36px;
	padding-left: 5px;
	padding-right: 5px;
	font-size: size-rel(20px);
}

.btn-primary {
	background-color: $accent !important;

	&:hover,
	&.active {
		background-color: #204ffd !important;
	}
}

.btn-secondary {
	color: $accent !important;
	background-color: #E2ECFF !important;
	border-color: #E2ECFF !important;

	&.active,
	&:focus,
	&:hover {
		color: $white !important;
		background-color: $accent !important;
		border-color: $accent !important;
	}
}

.btn-gray {
	color: #000;
	background-color: rgba(71, 95, 123, 0.12);

	&:hover,
	&.active {
		color: $white;
		background-color: #5A8DEE !important;
	}

	&:disabled,
	&.disabled {
		color: #000 !important;
		background-color: rgba(71, 95, 123, 0.12) !important;

		&.active {
			color: #fff !important;
			background: #585858 !important;
		}
	}
}

.btn-yellow {
	color: #4D4D4D;
	background-color: #FFF0E2;

	&:hover,
	&.active {
		color: #4D4D4D !important;
		background-color: #FFF0E2 !important;
	}
}

.btn-large {
	width: 100%;
	padding-top: size-rel(20px);
	padding-bottom: size-rel(20px);

	@media (min-width: $screen-lg-min) {
		padding-top: size-rel(60px);
		padding-bottom: size-rel(60px);
		font-size: size-rel(28px);
		line-height: size-rel(34px);
	}
}

.btn-medium {

	@media (min-width: $screen-lg-min) {
		padding-top: size-rel(30px);
		padding-bottom: size-rel(30px);
	}
}

.btn.disabled,
.btn:disabled {
	opacity: 1;
}

.btn-close {
	width: 26px;
	height: 26px;
	font-size: 0;
	line-height: 0;
	border: none;
	outline: none;
	cursor: pointer;
	border-radius: 50%;
	background: $white;
	position: relative;
	display: inline-block;

	&:after,
	&:before {
		top: calc(50% - 0.5px);
		left: calc(50% - 8px);
		z-index: 10;
		content: '';
		width: 16px;
		height: 1px;
		position: absolute;
		background: #B3B3B3;
		display: inline-block;
	}

	&:after {
		transform: rotate(45deg);
	}

	&:before {
		transform: rotate(-45deg);
	}

	&:hover {
		&:after,
		&:before {
			background: $black;
		}
	}
}
